gstreamermm: Gst::GioStreamSink Class Reference

gstreamermm 0.10.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::GioStreamSink Class Reference
gstreamermm Plugins

A Wrapper for the giostreamsink plugin. More...

Inheritance diagram for Gst::GioStreamSink:
[legend]
Collaboration diagram for Gst::GioStreamSink:
[legend]

List of all members.

## Public Member Functions
virtual | ~GioStreamSink ()
GstGioStreamSink* | gobj ()
| Provides access to the underlying C GObject.
const GstGioStreamSink* | gobj () const
| Provides access to the underlying C GObject.
GstGioStreamSink* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::RefPtr < Gio::OutputStream > > | property_stream ()
| Stream to write to.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr < Gio::OutputStream > > | property_stream () const
| Stream to write to.
## Static Public Member Functions
static Glib::RefPtr < GioStreamSink > | create ()
| Creates a new giostreamsink plugin with a unique name.
static Glib::RefPtr < GioStreamSink > | create (const Glib::ustring& name)
| Creates a new giostreamsink plugin with the given name.
## Protected Member Functions
| GioStreamSink ()
| GioStreamSink (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::GioStreamSink > | wrap (GstGioStreamSink* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the giostreamsink plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::GioStreamSink::~GioStreamSink | ( |  | ) | `[virtual]`

Gst::GioStreamSink::GioStreamSink | ( |  | ) | `[protected]`

Gst::GioStreamSink::GioStreamSink | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<GioStreamSink> Gst::GioStreamSink::create | ( |  | ) | `[static]`

Creates a new giostreamsink plugin with a unique name.

static Glib::RefPtr<GioStreamSink> Gst::GioStreamSink::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new giostreamsink plugin with the given name.

const GstGioStreamSink* Gst::GioStreamSink::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSink.

GstGioStreamSink* Gst::GioStreamSink::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSink.

GstGioStreamSink* Gst::GioStreamSink::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseSink.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gio::OutputStream> > Gst::GioStreamSink::property_stream | ( |  | ) | const

Stream to write to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gio::OutputStream> > Gst::GioStreamSink::property_stream | ( |  | ) |

Stream to write to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::GioStreamSink > wrap | ( | GstGioStreamSink * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/giostreamsink.h